SDL_GetMouseInstanceName(3)

NAME
SDL_GetMouseInstanceName - Get the name of a mouse.

HEADER FILE
Defined in SDL3/SDL_mouse.h

SYNOPSIS
#include "SDL3/SDL.h"

const char* SDL_GetMouseInstanceName(SDL_MouseID instance_id);

DESCRIPTION
This function returns "" if the mouse doesn't have a name.

FUNCTION PARAMETERS

instance_id
    the mouse instance ID

RETURN VALUE
Returns the name of the selected mouse, or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetMice(3)